Debian Bug report logs - #446766
RFP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: robin cornelius <robin.cornelius@gmail.com>

Date: Mon, 15 Oct 2007 14:00:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to robin cornelius <robin.cornelius@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: robin cornelius <robin.cornelius@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 14:58:52 +0100
Package: wnpp
Severity: wishlist
Owner: robin cornelius <robin.cornelius@gmail.com>


* Package name    : qavimator
  Version         : 0.0.193
  Upstream Author : Zi Ree <zi_ree@users.sourceforge.net>
* URL             : http://www.qavimator.org
* License         : GPL
  Programming Lang: C++
  Description     : a BVH animation editor for 3D virtual worlds such as secondlife

qavimator is a QT, BVH animation editor and allows the creation and editing of BVH avatar animations. These are 
commonly used in the 3D metaverse Secondlife (SL) for the in-world animation of avatars. The application allows full 
control of each joint but is supplied with default SL joint movement limitations. Key frames can be specified and 
animations interpolated between them. Basic props may also be used to aid the correct positioning of your animations 
with respect to objects. qavimator is tuned specificly for generation of animations for Secondlife.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ron Johnson <ron.l.johnson@cox.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Ron Johnson <ron.l.johnson@cox.net>
To: 446766@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#446766: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 10:54:51 -0500
On 10/15/07 08:58, robin cornelius wrote:
> Package: wnpp
> Severity: wishlist
> Owner: robin cornelius <robin.cornelius@gmail.com>
> 
> 
> * Package name    : qavimator
>   Version         : 0.0.193
>   Upstream Author : Zi Ree <zi_ree@users.sourceforge.net>
> * URL             : http://www.qavimator.org
> * License         : GPL
>   Programming Lang: C++
>   Description     : a BVH animation editor for 3D virtual worlds such as secondlife
> 
> qavimator is a QT, BVH animation editor and allows the creation
> and editing of BVH avatar animations. These are

What's BVH?

-- 
Ron Johnson, Jr.
Jefferson LA  USA

Give a man a fish, and he eats for a day.
Hit him with a fish, and he goes away for good!





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ron Johnson <ron.l.johnson@cox.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Message #20 received at 446766@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: robin cornelius <robin.cornelius@gmail.com>, 446766@bugs.debian.org
Subject: Re: Bug#446766: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 12:56:34 -0500
On 15-Oct-07, 08:58 (CDT), robin cornelius <robin.cornelius@gmail.com> wrote: 
>   Description     : a BVH animation editor for 3D virtual worlds such as secondlife
> 
> qavimator is a QT, BVH animation editor and allows the creation and editing of BVH avatar animations. These are 
> commonly used in the 3D metaverse Secondlife (SL) for the in-world animation of avatars. The application allows full 
> control of each joint but is supplied with default SL joint movement limitations. Key frames can be specified and 
> animations interpolated between them. Basic props may also be used to aid the correct positioning of your animations 
> with respect to objects. qavimator is tuned specificly for generation of animations for Secondlife.
> 

A couple of nitpicks:

In the long description, in English, always capitalize the first word
of the sentence. Thus "Qavimator is a QT-based BVH animation editor..."
Also, please reformat to fit in an 80-character line.

Oh, and either "secondlife" needs to be capitalized in the short
description, or lowercased in the long.



Regards,
Steve

-- 
Steve Greenland
    The irony is that Bill Gates claims to be making a stable operating
    system and Linus Torvalds claims to be trying to take over the
    world.       -- seen on the net




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to robin.cornelius@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Message #25 received at 446766@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: Ron Johnson <ron.l.johnson@cox.net>, 446766@bugs.debian.org
Subject: Re: Bug#446766: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 20:25:29 +0100
Ron Johnson wrote:
> On 10/15/07 08:58, robin cornelius wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: robin cornelius <robin.cornelius@gmail.com>
>>
>>
>> * Package name    : qavimator
>>   Version         : 0.0.193
>>   Upstream Author : Zi Ree <zi_ree@users.sourceforge.net>
>> * URL             : http://www.qavimator.org
>> * License         : GPL
>>   Programming Lang: C++
>>   Description     : a BVH animation editor for 3D virtual worlds such as secondlife
>>
>> qavimator is a QT, BVH animation editor and allows the creation
>> and editing of BVH avatar animations. These are
> 
> What's BVH?

BVH is Biovision Hierarchy, a file format originally developed by
Biovision a motion capture services company and is used to describe the
 position of skeletal joints over time. Its main use is for the
animation of 3D human or animal models and utilised in the 3D metaverse
Secondlife to provide avatar animations.

http://en.wikipedia.org/wiki/Biovision_Hierarchy

Hope that answers your question, I suppose I should have included a
little more here in the long description as it is not a common format.

Regards

Robin




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to robin.cornelius@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Message #30 received at 446766@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: Steve Greenland <steveg@moregruel.net>, 446766@bugs.debian.org
Subject: Re: Bug#446766: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 21:03:42 +0100
Steve Greenland wrote:
> On 15-Oct-07, 08:58 (CDT), robin cornelius <robin.cornelius@gmail.com> wrote: 
>>   Description     : a BVH animation editor for 3D virtual worlds such as secondlife
>>
>> qavimator is a QT, BVH animation editor and allows the creation and editing of BVH avatar animations. These are 
>> commonly used in the 3D metaverse Secondlife (SL) for the in-world animation of avatars. The application allows full 
>> control of each joint but is supplied with default SL joint movement limitations. Key frames can be specified and 
>> animations interpolated between them. Basic props may also be used to aid the correct positioning of your animations 
>> with respect to objects. qavimator is tuned specificly for generation of animations for Secondlife.
>>
> 
> A couple of nitpicks:
> 
> In the long description, in English, always capitalize the first word
> of the sentence. Thus "Qavimator is a QT-based BVH animation editor..."
> Also, please reformat to fit in an 80-character line.
> 
> Oh, and either "secondlife" needs to be capitalized in the short
> description, or lowercased in the long.
> 

Thanks for the pullups.

Sorry to sound stupid but can I do anything about the original ITP
report, or is it just a case of repost the (corrected) template here and
get it correct for the upload to mentors?

Robin




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Greenland <steveg@moregruel.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. Full text and rfc822 format available.

Message #35 received at 446766@bugs.debian.org (full text, mbox):

From: Steve Greenland <steveg@moregruel.net>
To: Robin Cornelius <robin.cornelius@gmail.com>, 446766@bugs.debian.org
Subject: Re: Bug#446766: ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
Date: Mon, 15 Oct 2007 17:46:44 -0500
On 15-Oct-07, 15:03 (CDT), Robin Cornelius <robin.cornelius@gmail.com> wrote: 
> Sorry to sound stupid but can I do anything about the original ITP
> report, or is it just a case of repost the (corrected) template here and
> get it correct for the upload to mentors?

I don't think you need to repost the ITP, since our exchange is
in the bug log. Just make sure that you get the fixes into the
package/templates before anyone spends time translating. That's why I
(when I notice) send these kinds of trivial fixes to the ITP, so that
they get fixed before a real upload.

Steve
-- 
Steve Greenland
    The irony is that Bill Gates claims to be making a stable operating
    system and Linus Torvalds claims to be trying to take over the
    world.       -- seen on the net




Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Thu, 16 Oct 2008 18:03:41 GMT) Full text and rfc822 format available.

Notification sent to robin cornelius <robin.cornelius@gmail.com>:
Bug acknowledged by developer. (Thu, 16 Oct 2008 18:03:41 GMT) Full text and rfc822 format available.

Message #40 received at 446766-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 446766-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 16 Oct 2008 11:59:35 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 446766
 stop

Further comments on the work done in the bug sent to
446766@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Robin Cornelius <robin.cornelius@gmail.com> to control@bugs.debian.org. (Sat, 18 Oct 2008 14:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. (Sat, 18 Oct 2008 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to robin.cornelius@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. (Sat, 18 Oct 2008 14:06:02 GMT) Full text and rfc822 format available.

Message #47 received at 446766@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: 446766@bugs.debian.org
Subject: Update
Date: Sat, 18 Oct 2008 15:03:14 +0100
[Message part 1 (text/plain, inline)]
Reopening as i am still planning to finish this package.

upstream SVN has had some reworking and updating to qt4 instead of qt3
which makes this package far more viable

Will hope to get this finished off in the next few weeks

Robin


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. (Sun, 04 Jan 2009 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to robin.cornelius@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, robin cornelius <robin.cornelius@gmail.com>. (Sun, 04 Jan 2009 20:33:06 GMT) Full text and rfc822 format available.

Message #52 received at 446766@bugs.debian.org (full text, mbox):

From: Robin Cornelius <robin.cornelius@gmail.com>
To: 446766@bugs.debian.org
Subject: Status update
Date: Sun, 04 Jan 2009 20:32:05 +0000
[Message part 1 (text/plain, inline)]
A ping for anyone watching or considering closing,

There is a package for this currently on mentors, but i'm refraining
from actively pushing this package because of the Lenny freeze and
mentors/DD's time is beter spent else where at this hour of lenny. I
will resume ITP's after lenny goes live. But in the mean time if anyone
wants to sponsor or review the package it is at :-

- URL: http://mentors.debian.net/debian/pool/main/q/qavimator
- Source repository: deb-src http://mentors.debian.net/debian unstable
main contrib non-free
- dget
http://mentors.debian.net/debian/pool/main/q/qavimator/qavimator_0.0.svn.247+dfsg-1.dsc

Regards

Robin

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, robin cornelius <robin.cornelius@gmail.com>:
Bug#446766; Package wnpp. (Tue, 25 May 2010 17:22:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, robin cornelius <robin.cornelius@gmail.com>. (Tue, 25 May 2010 17:22:35 GMT) Full text and rfc822 format available.

Message #57 received at 446766@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 446766@bugs.debian.org
Cc: control@bugs.debian.org
Subject: qavimator: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:10 +0000
retitle 446766 RFP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
noowner 446766
thanks

Hi,

This is an automatic email to change the status of qavimator back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting qavimator, please send a mail to
<control@bugs.debian.org> with:

 retitle 446766 ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife
 owner 446766 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <446766@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife' from 'ITP: qavimator -- a BVH animation editor for 3D virtual worlds such as secondlife' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:27:19 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by robin cornelius <robin.cornelius@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:26:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.